com.verisign.epp.framework

## Class EPPRegistryPolicyAdapter

- java.lang.Object
- - com.verisign.epp.framework.EPPRegistryPolicyAdapter

- Direct Known Subclasses:
    EPPLaunchPolicyAdapter, EPPLoginSecPolicyAdapter, EPPLoginSecPolicyAdapter, EPPLoginSecPolicyAdapter

      public class EPPRegistryPolicyAdapter
      extends java.lang.Object

  `EPPRegistryPolicyAdapter` is a base class used to adapt zone or system policy extensions from local server classes to / from EPP extensions. The methods of `EPPRegistryPolicyAdapter` are concrete and return `null` by default. A derived class can support either a zone or system policy extension by overriding the appropriate methods.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryPolicyAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EPPRegistryZoneInterface` | `eppExtToZoneExt(java.util.List<EPPCodecComponent> aEppExtensions)` Adapt a list of EPP extensions used with a registry create or update to a matching zone policy extension.
    `EPPCodecComponent` | `getSystemExt()` Gets the system policy extension to include in a registry info response for the system.
    `EPPCodecComponent` | `zoneExtToEppExt(java.util.List<EPPRegistryZoneInterface> aZoneExtensions)` Adapt a list of zone policy extensions available for the zone to a matching EPP extension for an info response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPRegistryPolicyAdapter

          public EPPRegistryPolicyAdapter()

  - ### Method Detail

    - #### eppExtToZoneExt

          public EPPRegistryZoneInterface eppExtToZoneExt(java.util.List<EPPCodecComponent> aEppExtensions)

      Adapt a list of EPP extensions used with a registry create or update to a matching zone policy extension. It is assumed that there will be an `EPPRegistryPolicyAdapter` for each versioned policy extension that will be used to extract the contained zone policy information in a matching EPP extension.
      Parameters:
        `aEppExtensions` - List of EPP extensions to adapt to a zone policy extension.
      Returns:
        Matching zone policy extension if found; `null` otherwise.

    - #### zoneExtToEppExt

          public EPPCodecComponent zoneExtToEppExt(java.util.List<EPPRegistryZoneInterface> aZoneExtensions)

      Adapt a list of zone policy extensions available for the zone to a matching EPP extension for an info response.
      Parameters:
        `aZoneExtensions` - List of zone policy extensions to adapt to an EPP extension for an info response.
      Returns:
        Matching EPP extension for an info response if found; `null` otherwise.

    - #### getSystemExt

          public EPPCodecComponent getSystemExt()

      Gets the system policy extension to include in a registry info response for the system.
      Returns:
        `EPPCodecComponent` that represents the system policy extension if defined; `null` otherwise.

Copyright © VeriSign Inc. All Rights Reserved.